package	jp.co.sds_corp.util.jmx.rmi.client;

import java.util.Iterator;

import javax.management.ObjectInstance;
import javax.naming.InitialContext;

import jp.co.sds_corp.util.jmx.rmi.JMXAdaptor;

public class Stop
{
	public static void main(String[] args) throws Exception {
		System.out.println("Stopping server");		
		new Stop().stop();
		System.out.println("Server has been successfully stopped");		
	}

	public void stop() throws Exception {
		JMXAdaptor server = (JMXAdaptor)new InitialContext().lookup("jmx");
		Iterator itr = server.queryMBeans(null, null).iterator();
		while (itr.hasNext()) {
			ObjectInstance oi = (ObjectInstance)itr.next();
			try {
				server.invoke(oi.getObjectName(), "stop", new Object[0], new String[0]);
			} catch (Exception e) {
				// Ignore
			}
		}
	}

}

